Skip to main content
DELETE
/
v2
/
entity-types
/
{id}
Delete Entity Type
curl --request DELETE \
  --url https://public.api.serval.com/v2/entity-types/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public.api.serval.com/v2/entity-types/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public.api.serval.com/v2/entity-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the entity type to delete. WARNING: this cascade-deletes the type and ALL of its descendant types. Entity records of these types are left orphaned (hidden), not deleted. There is no recovery via the API.

Response

Success

The response is of type DeleteEntityTypeResponse · object.